aboutsummaryrefslogtreecommitdiff
path: root/mautrix-whatsapp/doinst.sh
diff options
context:
space:
mode:
authorSlack Coder <slackcoder@server.ky>2024-03-19 18:29:09 -0500
committerSlack Coder <slackcoder@server.ky>2024-04-08 05:50:21 -0500
commitbe3c1db29c07c160ff07d5f9c66be8d3e904866c (patch)
tree802a930aacb03a9131529109d1724cee6762cbe7 /mautrix-whatsapp/doinst.sh
parent782cf460b3e69f32ec5e7396ffa8e551539db3c0 (diff)
downloadslackbuilds-be3c1db29c07c160ff07d5f9c66be8d3e904866c.tar.xz
add mautrix-whatsapp v0.10.5
Diffstat (limited to 'mautrix-whatsapp/doinst.sh')
-rw-r--r--mautrix-whatsapp/doinst.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/mautrix-whatsapp/doinst.sh b/mautrix-whatsapp/doinst.sh
new file mode 100644
index 0000000..792310f
--- /dev/null
+++ b/mautrix-whatsapp/doinst.sh
@@ -0,0 +1,28 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if ! getent passwd mautrix-whatsapp >/dev/null; then
+ useradd mautrix-whatsapp \
+ --comment 'Mautrix whatsapp matrix bridge' \
+ --user-group \
+ --system \
+ --home-dir /var/lib/mautrix-whatsapp \
+ || true
+fi
+
+config etc/rc.d/rc.mautrix-whatsapp.new
+config etc/mautrix-whatsapp/config.yaml.new
+
+chown root:mautrix-whatsapp etc/mautrix-whatsapp
+chown mautrix-whatsapp:mautrix-whatsapp var/lib/mautrix-whatsapp
+chown mautrix-whatsapp:mautrix-whatsapp var/log/mautrix-whatsapp